### Method

# EBackend BackendFactory get_hash_key

since: 3.4

#### Declaration [src]

    const gchar*
    e_backend_factory_get_hash_key (
      EBackendFactory* factory
    )

#### Description [src]

Returns a hash key which uniquely identifies `factory`.

Since only one instance of each `EBackendFactory` subclass is ever created, the hash key need only be unique among subclasses, not among instances of each subclass.

Available since: 3.4

#### Return value

Type: `const gchar*`

A hash key which uniquely identifies `factory`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.